GreatCircleData
Date: 2015-11-04

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gov.sandia.gnem.slbmjni
Class GreatCircleData

    java.lang.Object
      gov.sandia.gnem.slbmjni.GreatCircleData

    public class GreatCircleData

extends java.lang.Object

Stores data required for input to the travel time calculation, for the C++ GreatCircle object in memory the last time `SlbmInterface.getGreatCircleData()` was called.

Field Summary
`double` | `actualPathIncrement` The horizontal separation of the LayerProfile objects along the head wave interface, in radians.
`double[][]` | `coefficients` The interpolation coefficients applied to each element of neighbors.
`double[]` | `headWaveVelocities` The P or S velocity at the center of each horizontal segment between the source and the receiver, in km/sec.
`double[]` | `mantleGradients` The P or S velocity gradient in the mantle at the center of each horizontal segment of the head wave, in 1/sec.
`int[][]` | `neighbors` The nodeIds of the neighboring grid nodes used to derive the interpolated data at each head wave profile.
`java.lang.String` | `phase` The phase that this GreatCircle supports.
`double[]` | `receiverDepths` The depth of each interface in the earth model below the receiver, in km.
`double[]` | `receiverVelocities` The P or S velocity of each interval below the receiver, in km/sec.
`double[]` | `sourceDepths` The depth of each interface in the earth model below the source, in km.
`double[]` | `sourceVelocitites` The P or S velocity of each interval below the source, in km/sec.

Constructor Summary
`GreatCircleData()`

Method Summary
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### phase

    public java.lang.String phase

  The phase that this GreatCircle supports. Supported phases include Pn, Sn, Pg and Lg.

### actualPathIncrement

    public double actualPathIncrement

  The horizontal separation of the LayerProfile objects along the head wave interface, in radians. This is the actual separation of the LayerProfile object which may be reduced from the value requested in the call to createGreatCircle() in order that some number of equal sized increments will exactly fit between the source and receiver.

### sourceDepths

    public double[] sourceDepths

  The depth of each interface in the earth model below the source, in km.

### sourceVelocitites

    public double[] sourceVelocitites

  The P or S velocity of each interval below the source, in km/sec.

### receiverDepths

    public double[] receiverDepths

  The depth of each interface in the earth model below the receiver, in km.

### receiverVelocities

    public double[] receiverVelocities

  The P or S velocity of each interval below the receiver, in km/sec.

### headWaveVelocities

    public double[] headWaveVelocities

  The P or S velocity at the center of each horizontal segment between the source and the receiver, in km/sec. The first horizontal segment starts at the source, the last horizontal segment ends at the receiver, and each one is of size actualPathIncrement. The head wave velocities are interpolated at the center of each of these horizontal segments, just below the head wave interface.

### mantleGradients

    public double[] mantleGradients

  The P or S velocity gradient in the mantle at the center of each horizontal segment of the head wave, in 1/sec. For Pg and Lg, the values will be -999999.

### neighbors

    public int[][] neighbors

  The nodeIds of the neighboring grid nodes used to derive the interpolated data at each head wave profile.

### coefficients

    public double[][] coefficients

  The interpolation coefficients applied to each element of neighbors.

Constructor Detail

### GreatCircleData

    public GreatCircleData()

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD